<html>
<head>
<title>OGRE: Ogre::DefaultSceneManagerFactory Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1DefaultSceneManagerFactory.html">DefaultSceneManagerFactory</a></div>
<h1>Ogre::DefaultSceneManagerFactory Class Reference</h1><!-- doxytag: class="Ogre::DefaultSceneManagerFactory" --><!-- doxytag: inherits="Ogre::SceneManagerFactory" -->Factory for default scene manager.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreSceneManagerEnumerator_8h-source.html">OgreSceneManagerEnumerator.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::DefaultSceneManagerFactory:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1DefaultSceneManagerFactory-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DefaultSceneManagerFactory.html#ffd69f67c70d61231b323b1de67af92f">DefaultSceneManagerFactory</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DefaultSceneManagerFactory.html#87932aa032f993f51292da737f5e83f3">~DefaultSceneManagerFactory</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DefaultSceneManagerFactory.html#e74ab1f0dd981bd53bb2d460b2f9971c">createInstance</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;instanceName)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create a new instance of a <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>.  <a href="#e74ab1f0dd981bd53bb2d460b2f9971c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DefaultSceneManagerFactory.html#e107524e7e876629bfa92037abaf5b08">destroyInstance</a> (<a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *instance)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Destroy an instance of a <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>.  <a href="#e107524e7e876629bfa92037abaf5b08"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual const <br>
<a class="el" href="structOgre_1_1SceneManagerMetaData.html">SceneManagerMetaData</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerFactory.html#e6d7bb94fca1901e17b913d0da16c438">getMetaData</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get information about the <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> type created by this factory.  <a href="#e6d7bb94fca1901e17b913d0da16c438"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Static Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DefaultSceneManagerFactory.html#ecb930d0603388f00979d9822a24d7bf">FACTORY_TYPE_NAME</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Factory type name.  <a href="#ecb930d0603388f00979d9822a24d7bf"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DefaultSceneManagerFactory.html#38bc01c014b7c87982a2935fb057b12d">initMetaData</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Internal method to initialise the metadata, must be implemented.  <a href="#38bc01c014b7c87982a2935fb057b12d"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structOgre_1_1SceneManagerMetaData.html">SceneManagerMetaData</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerFactory.html#28e6bfe14742459754b696fc765ebd09">mMetaData</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerFactory.html#d74efc9fbb9f0be12fff43face080fc8">mMetaDataInit</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Factory for default scene manager. 
<p>Definition at line <a class="el" href="OgreSceneManagerEnumerator_8h-source.html#l00041">41</a> of file <a class="el" href="OgreSceneManagerEnumerator_8h-source.html">OgreSceneManagerEnumerator.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="ffd69f67c70d61231b323b1de67af92f"></a><!-- doxytag: member="Ogre::DefaultSceneManagerFactory::DefaultSceneManagerFactory" ref="ffd69f67c70d61231b323b1de67af92f" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::DefaultSceneManagerFactory::DefaultSceneManagerFactory           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneManagerEnumerator_8h-source.html#l00046">46</a> of file <a class="el" href="OgreSceneManagerEnumerator_8h-source.html">OgreSceneManagerEnumerator.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="87932aa032f993f51292da737f5e83f3"></a><!-- doxytag: member="Ogre::DefaultSceneManagerFactory::~DefaultSceneManagerFactory" ref="87932aa032f993f51292da737f5e83f3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::DefaultSceneManagerFactory::~DefaultSceneManagerFactory           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneManagerEnumerator_8h-source.html#l00047">47</a> of file <a class="el" href="OgreSceneManagerEnumerator_8h-source.html">OgreSceneManagerEnumerator.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="38bc01c014b7c87982a2935fb057b12d"></a><!-- doxytag: member="Ogre::DefaultSceneManagerFactory::initMetaData" ref="38bc01c014b7c87982a2935fb057b12d" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::DefaultSceneManagerFactory::initMetaData           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [protected, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Internal method to initialise the metadata, must be implemented. 
<p>

<p>Implements <a class="el" href="classOgre_1_1SceneManagerFactory.html#cd9425b19b233e013a81ffea6246feb3">Ogre::SceneManagerFactory</a>.</p>

</div>
</div><p>
<a class="anchor" name="e74ab1f0dd981bd53bb2d460b2f9971c"></a><!-- doxytag: member="Ogre::DefaultSceneManagerFactory::createInstance" ref="e74ab1f0dd981bd53bb2d460b2f9971c" args="(const String &amp;instanceName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a>* Ogre::DefaultSceneManagerFactory::createInstance           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>instanceName</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Create a new instance of a <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Don't call directly, use <a class="el" href="classOgre_1_1SceneManagerEnumerator.html#97e10c46bc45a4f86f17ed6496b4aec2" title="Create a SceneManager instance of a given type.">SceneManagerEnumerator::createSceneManager</a>. </dd></dl>

<p>Implements <a class="el" href="classOgre_1_1SceneManagerFactory.html#ffe914122cc427f2d6909ee15eecdee0">Ogre::SceneManagerFactory</a>.</p>

</div>
</div><p>
<a class="anchor" name="e107524e7e876629bfa92037abaf5b08"></a><!-- doxytag: member="Ogre::DefaultSceneManagerFactory::destroyInstance" ref="e107524e7e876629bfa92037abaf5b08" args="(SceneManager *instance)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::DefaultSceneManagerFactory::destroyInstance           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *&nbsp;</td>
          <td class="paramname"> <em>instance</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Destroy an instance of a <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>. 
<p>

<p>Implements <a class="el" href="classOgre_1_1SceneManagerFactory.html#3a7ac5f727d28e1921e7d4800fd63d7f">Ogre::SceneManagerFactory</a>.</p>

</div>
</div><p>
<a class="anchor" name="e6d7bb94fca1901e17b913d0da16c438"></a><!-- doxytag: member="Ogre::DefaultSceneManagerFactory::getMetaData" ref="e6d7bb94fca1901e17b913d0da16c438" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="structOgre_1_1SceneManagerMetaData.html">SceneManagerMetaData</a>&amp; Ogre::SceneManagerFactory::getMetaData           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get information about the <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> type created by this factory. 
<p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l02846">2846</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="ecb930d0603388f00979d9822a24d7bf"></a><!-- doxytag: member="Ogre::DefaultSceneManagerFactory::FACTORY_TYPE_NAME" ref="ecb930d0603388f00979d9822a24d7bf" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1DefaultSceneManagerFactory.html#ecb930d0603388f00979d9822a24d7bf">Ogre::DefaultSceneManagerFactory::FACTORY_TYPE_NAME</a><code> [static]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Factory type name. 
<p>

<p>Definition at line <a class="el" href="OgreSceneManagerEnumerator_8h-source.html#l00049">49</a> of file <a class="el" href="OgreSceneManagerEnumerator_8h-source.html">OgreSceneManagerEnumerator.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="28e6bfe14742459754b696fc765ebd09"></a><!-- doxytag: member="Ogre::DefaultSceneManagerFactory::mMetaData" ref="28e6bfe14742459754b696fc765ebd09" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1SceneManagerMetaData.html">SceneManagerMetaData</a> <a class="el" href="classOgre_1_1SceneManagerFactory.html#28e6bfe14742459754b696fc765ebd09">Ogre::SceneManagerFactory::mMetaData</a><code> [mutable, protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l02838">2838</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d74efc9fbb9f0be12fff43face080fc8"></a><!-- doxytag: member="Ogre::DefaultSceneManagerFactory::mMetaDataInit" ref="d74efc9fbb9f0be12fff43face080fc8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1SceneManagerFactory.html#d74efc9fbb9f0be12fff43face080fc8">Ogre::SceneManagerFactory::mMetaDataInit</a><code> [mutable, protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l02839">2839</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreSceneManagerEnumerator_8h-source.html">OgreSceneManagerEnumerator.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:53:08 2008
</p>
</body>
</html>
